function lago_saint(){
echo -e \
"
O lago foi encontrado coberto de sangue, Após os peritos inspecionarem o local,
na época é detectado sangue humano e algumas pilhas de corpos enterradas no fundo do lago.

Por onde você deseja começar a explorar?
"
   
      echo -e "\n${azul}[Escritorio]${desliga} | ${azul}[Norte]${desliga} | ${azul}[Sul]${desliga} | ${azul}[Leste]${desliga} | ${azul}[Oeste]${desliga}"
   while true; do  
       read -p $'\n\E[31;1m>\E[m ' opcao
       case "$opcao" in
          "ir para escritorio"|"ir para meu escritorio") principal ;; # Retornar
          "ir para norte"|"ir para o norte") echo  -e "${vermelho}O norte te espera!${desliga}" | pv -qL 12; sleep 1.0s
             norte 
          ;;
          *) echo -e "\t${vermelho}ir para...${desliga}"; sleep 1s ;;
       esac
   done
}


#=======NORTE-SUL-LESTE-OESTE===========#
function norte(){
    clear
    echo -e \
"
  ${vermelho}Retornar${desliga} | ${azul}Casa de Madeira${desliga} |${azul} Lúxuria Bar${desliga} |  
"
   read -p $'\e[31;1mEntre em:\e[m ' entrar
   entrar="${entrar,,}"
   case "$entrar" in
       retornar|voltar) lago_saint ;;
       "casa de madeira"|"casa madeira") casa_de_madeira ;;
       *) echo -e "${vermelho}Opção Inválida!${desliga}"; sleep 1s; norte ;;
   esac
}




#=========LOCAIS=========#
function casa_de_madeira(){
     local hora_usuario=$(date "+%H")
     # Verificando se já é 22 horas.
     if [[ "$hora_usuario" -lt "01" ]]; then
          read -p $'\t\e[31;1mAinda não são 22 Horas. <ENTER> para retornar.\e[m'
          norte # Chama função 
     fi
     
}


#lago_saint
